Page MenuHomePhabricator

MediaWiki:Notification-thanks doesn't look nice when $2 is MediaWiki:Echo-no-title ("No page" shown)
Closed, ResolvedPublic

Description

It outputs something like "[[:[No page]]]":

"Shijianling1 thanked you for [No page] on [[:[No page]]]."


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=50829

Details

Reference
bz62435

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:54 AM
bzimport added a project: Notifications.
bzimport set Reference to bz62435.
bzimport added a subscriber: Unknown Object (MLST).
liangent created this task.Mar 8 2014, 2:37 PM

I think this is a duplicate of bug 50829 (but I might be misunderstanding, and it's actually a translation issue?)

(In reply to Quiddity from comment #1)

I think this is a duplicate of bug 50829 (but I might be misunderstanding,
and it's actually a translation issue?)

Resolving bug 50829 will have this bug resolved, but this bug can be resolved with some translation change too. I was talking about that bare [[ ]] shown to users.

Umherirrender set Security to None.
Legoktm moved this task from Backlog to Needs code on the Notifications board.Jul 6 2015, 8:39 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJul 6 2015, 8:39 AM
Man77 added a subscriber: Man77.Oct 7 2015, 5:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2015, 5:19 PM
Catrope closed this task as Resolved.Apr 18 2016, 9:25 PM
Catrope claimed this task.
Catrope added a subscriber: Catrope.

This was fixed by the notification formatter rewrite in October, which got rid of [No page].